
subroutine usphyv &
 ( nvar   , nscal  ,                                              &
   mbrom  ,                                                       &
   dt     )

!===============================================================================

!===============================================================================
! Module files
!===============================================================================

use paramx
use pointe
use numvar
use optcal
use cstphy
use entsor
use parall
use period
use ppppar
use ppthch
use ppincl
use field
use mesh

!===============================================================================

implicit none

! Arguments

integer          nvar   , nscal

integer          mbrom

double precision dt(ncelet)

! Local variables

integer          ivart, iel, ifac
integer          ith, iscal, ii, ifcvsl
double precision vara, varb, varc, varam, varbm, varcm, vardm
double precision                   varal, varbl, varcl, vardl
double precision                   varac, varbc
double precision xvart

double precision, dimension(:), pointer :: coefap, coefbp
double precision, dimension(:), pointer :: bfpro_rom, cpro_rom
double precision, dimension(:), pointer :: cpro_viscl, cpro_vscalt, cpro_cp
double precision, dimension(:), pointer :: cpro_rho, cpro_beta
double precision, dimension(:), pointer :: cvar_scalt

ivart = isca(iscalt)
!ivart = isca(itempk)
!write(nfecra,90102) ivart

call field_get_val_s(ivarfl(ivart), cvar_scalt)   !obtiene id de la variable
!write(nfecra,90103) cvar_scalt


call field_get_val_s(iprpfl(irom), cpro_rho )  !Obtiene id de la propiedad
!write(nfecra,90104) cpro_rho


call field_get_val_s(iprpfl(ibeta), cpro_beta )  !Obtiene id de la propiedad

vara  = -4.0668d-3
varb  = -5.0754d-2
varc  =  1000.9d0

do iel = 1, ncel
	xvart = cvar_scalt(iel)
	!write(nfecra,90105) xvart

	cpro_rho(iel)=xvart * ((vara * xvart) + varb) + varc
	!write(nfecra,90106) cpro_rho(iel)
	
	cpro_beta(iel)= (-1.d0/cpro_rho(iel))*(2.d0*vara*xvart+varb)
	!write(nfecra,90107) cpro_beta(iel)

enddo

90102 format('INFO: ivart =',i10,/,'-',/)
90103 format('INFO: cvar_scalt =',f10.2,/,'-',/)
90104 format('INFO: cpro_rho =',f10.2,/,'-',/)
90105 format('INFO: xvart =',f10.2,/,'-',/)
90106 format('INFO: cpro_rho(iel) =',f10.2,/,'-',/)
90107 format('INFO: cpro_beta(iel) =',f10.2,/,'-',/)


return
end subroutine usphyv

!See http://code-saturne.org/doxygen/src/field.html



